#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		uname		%(echo %{name}|sed 's/./\\U&/1'|sed 's/./\\U&/2')
#-----------------------------------------------------------------------------
Name		:	clucene
Version		:	2.3.3.4
Release		:	17.2.0.rel%{?dist}
Summary		:	C++ version of Lucene, a high performance text search engine.

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://downloads.sourceforge.net/clucene

Source0		:	%{name}-core-%{version}.tar.gz
Patch0		:	%{name}-core-%{version}-contribs_lib-1.patch
#-----------------------------------------------------------------------------
Buildrequires	:	boost
Buildrequires	:	cmake
#-----------------------------------------------------------------------------
%description
'%{name}' is a C++ port of the popular Apache Lucene search engine
(http://lucene.apache.org/java).
CLucene aims to be a high-speed alternative to Java Lucene, its API is
very similar to that of the Java version. CLucene has recently been
brought up to date with Lucene '%{version}'. It contains most of the same
functionality as the Java version.

#-----------------------------------------------------------------------------
%prep
%setup -q -n %{name}-core-%{version}
%patch0 -p1
#-----------------------------------------------------------------------------
#building application
%build

sed -i								\
  -e '/Misc.h/a #include <ctime>'				\
  src/core/CLucene/document/DateTools.cpp

%{__mkdir} build
pushd build
cmake								\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DBUILD_CONTRIBS_LIB=ON					\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}

popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_includedir}/%{uname}.h
%{_includedir}/%{uname}/*.h
%{_includedir}/%{uname}/%{uname}Config.cmake
%{_includedir}/%{uname}/*/*
%{_libdir}/%{uname}Config.cmake/%{uname}Config.cmake
%{_libdir}/lib%{name}-*.so*
%{_libdir}/pkgconfig/lib%{name}-core.pc

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
